import * as React from 'react';
import * as ReactDom from 'react-dom';
import { Version } from '@microsoft/sp-core-library';
import {
  BaseClientSideWebPart,
  IPropertyPaneConfiguration,
  PropertyPaneTextField
} from '@microsoft/sp-webpart-base';

import { HttpClient } from 'sp-http';

import * as strings from 'newDepsStrings';
import NewDeps from './components/NewDeps';
import { INewDepsProps } from './components/INewDepsProps';
import { INewDepsWebPartProps } from './INewDepsWebPartProps';

export default class NewDepsWebPart extends BaseClientSideWebPart<INewDepsWebPartProps> {

  public render(): void {
    const element: React.ReactElement<INewDepsProps > = React.createElement(
      NewDeps,
      {
        description: this.properties.description
      }
    );

    ReactDom.render(element, this.domElement);
  }

  protected get dataVersion(): Version {
    return Version.parse('1.0');
  }

  protected getPropertyPaneConfiguration(): IPropertyPaneConfiguration {
    return {
      pages: [
        {
          header: {
            description: strings.PropertyPaneDescription
          },
          groups: [
            {
              groupName: strings.BasicGroupName,
              groupFields: [
                PropertyPaneTextField('description', {
                  label: strings.DescriptionFieldLabel
                })
              ]
            }
          ]
        }
      ]
    };
  }
}
